Package org.eclipse.birt.chart.model.type.impl

# Class TypePackageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.birt.chart.model.type.impl.TypePackageImpl

All Implemented Interfaces:
  `TypePackage`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

public class TypePackageImpl extends org.eclipse.emf.ecore.impl.EPackageImpl implements TypePackage
An implementation of the model Package .

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Nested classes/interfaces inherited from interface org.eclipse.birt.chart.model.type.TypePackage

`TypePackage.Literals`

## Field Summary

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Fields inherited from interface org.eclipse.birt.chart.model.type.TypePackage

`AREA_SERIES, AREA_SERIES__CONNECT_MISSING_VALUE, AREA_SERIES__CURSOR, AREA_SERIES__CURVE, AREA_SERIES__CURVE_FITTING, AREA_SERIES__DATA_DEFINITION, AREA_SERIES__DATA_POINT, AREA_SERIES__DATA_SETS, AREA_SERIES__LABEL, AREA_SERIES__LABEL_POSITION, AREA_SERIES__LINE_ATTRIBUTES, AREA_SERIES__MARKER, AREA_SERIES__MARKERS, AREA_SERIES__PALETTE_LINE_COLOR, AREA_SERIES__SERIES_IDENTIFIER, AREA_SERIES__SHADOW_COLOR, AREA_SERIES__STACKED, AREA_SERIES__TRANSLUCENT, AREA_SERIES__TRIGGERS, AREA_SERIES__VISIBLE, AREA_SERIES_FEATURE_COUNT, BAR_SERIES, BAR_SERIES__CURSOR, BAR_SERIES__CURVE_FITTING, BAR_SERIES__DATA_DEFINITION, BAR_SERIES__DATA_POINT, BAR_SERIES__DATA_SETS, BAR_SERIES__LABEL, BAR_SERIES__LABEL_POSITION, BAR_SERIES__RISER, BAR_SERIES__RISER_OUTLINE, BAR_SERIES__SERIES_IDENTIFIER, BAR_SERIES__STACKED, BAR_SERIES__TRANSLUCENT, BAR_SERIES__TRIGGERS, BAR_SERIES__VISIBLE, BAR_SERIES_FEATURE_COUNT, BUBBLE_SERIES, BUBBLE_SERIES__ACC_LINE_ATTRIBUTES, BUBBLE_SERIES__ACC_ORIENTATION, BUBBLE_SERIES__CONNECT_MISSING_VALUE, BUBBLE_SERIES__CURSOR, BUBBLE_SERIES__CURVE, BUBBLE_SERIES__CURVE_FITTING, BUBBLE_SERIES__DATA_DEFINITION, BUBBLE_SERIES__DATA_POINT, BUBBLE_SERIES__DATA_SETS, BUBBLE_SERIES__LABEL, BUBBLE_SERIES__LABEL_POSITION, BUBBLE_SERIES__LINE_ATTRIBUTES, BUBBLE_SERIES__MARKER, BUBBLE_SERIES__MARKERS, BUBBLE_SERIES__PALETTE_LINE_COLOR, BUBBLE_SERIES__SERIES_IDENTIFIER, BUBBLE_SERIES__SHADOW_COLOR, BUBBLE_SERIES__STACKED, BUBBLE_SERIES__TRANSLUCENT, BUBBLE_SERIES__TRIGGERS, BUBBLE_SERIES__VISIBLE, BUBBLE_SERIES_FEATURE_COUNT, DIAL_SERIES, DIAL_SERIES__CURSOR, DIAL_SERIES__CURVE_FITTING, DIAL_SERIES__DATA_DEFINITION, DIAL_SERIES__DATA_POINT, DIAL_SERIES__DATA_SETS, DIAL_SERIES__DIAL, DIAL_SERIES__LABEL, DIAL_SERIES__LABEL_POSITION, DIAL_SERIES__NEEDLE, DIAL_SERIES__SERIES_IDENTIFIER, DIAL_SERIES__STACKED, DIAL_SERIES__TRANSLUCENT, DIAL_SERIES__TRIGGERS, DIAL_SERIES__VISIBLE, DIAL_SERIES_FEATURE_COUNT, DIFFERENCE_SERIES, DIFFERENCE_SERIES__CONNECT_MISSING_VALUE, DIFFERENCE_SERIES__CURSOR, DIFFERENCE_SERIES__CURVE, DIFFERENCE_SERIES__CURVE_FITTING, DIFFERENCE_SERIES__DATA_DEFINITION, DIFFERENCE_SERIES__DATA_POINT, DIFFERENCE_SERIES__DATA_SETS, DIFFERENCE_SERIES__LABEL, DIFFERENCE_SERIES__LABEL_POSITION, DIFFERENCE_SERIES__LINE_ATTRIBUTES, DIFFERENCE_SERIES__MARKER, DIFFERENCE_SERIES__MARKERS, DIFFERENCE_SERIES__NEGATIVE_LINE_ATTRIBUTES, DIFFERENCE_SERIES__NEGATIVE_MARKERS, DIFFERENCE_SERIES__PALETTE_LINE_COLOR, DIFFERENCE_SERIES__SERIES_IDENTIFIER, DIFFERENCE_SERIES__SHADOW_COLOR, DIFFERENCE_SERIES__STACKED, DIFFERENCE_SERIES__TRANSLUCENT, DIFFERENCE_SERIES__TRIGGERS, DIFFERENCE_SERIES__VISIBLE, DIFFERENCE_SERIES_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, GANTT_SERIES, GANTT_SERIES__CONNECTION_LINE, GANTT_SERIES__CURSOR, GANTT_SERIES__CURVE_FITTING, GANTT_SERIES__DATA_DEFINITION, GANTT_SERIES__DATA_POINT, GANTT_SERIES__DATA_SETS, GANTT_SERIES__DECORATION_LABEL, GANTT_SERIES__DECORATION_LABEL_POSITION, GANTT_SERIES__END_MARKER, GANTT_SERIES__END_MARKER_POSITION, GANTT_SERIES__LABEL, GANTT_SERIES__LABEL_POSITION, GANTT_SERIES__OUTLINE, GANTT_SERIES__OUTLINE_FILL, GANTT_SERIES__PALETTE_LINE_COLOR, GANTT_SERIES__SERIES_IDENTIFIER, GANTT_SERIES__STACKED, GANTT_SERIES__START_MARKER, GANTT_SERIES__START_MARKER_POSITION, GANTT_SERIES__TRANSLUCENT, GANTT_SERIES__TRIGGERS, GANTT_SERIES__USE_DECORATION_LABEL_VALUE, GANTT_SERIES__VISIBLE, GANTT_SERIES_FEATURE_COUNT, LINE_SERIES, LINE_SERIES__CONNECT_MISSING_VALUE, LINE_SERIES__CURSOR, LINE_SERIES__CURVE, LINE_SERIES__CURVE_FITTING, LINE_SERIES__DATA_DEFINITION, LINE_SERIES__DATA_POINT, LINE_SERIES__DATA_SETS, LINE_SERIES__LABEL, LINE_SERIES__LABEL_POSITION, LINE_SERIES__LINE_ATTRIBUTES, LINE_SERIES__MARKER, LINE_SERIES__MARKERS, LINE_SERIES__PALETTE_LINE_COLOR, LINE_SERIES__SERIES_IDENTIFIER, LINE_SERIES__SHADOW_COLOR, LINE_SERIES__STACKED, LINE_SERIES__TRANSLUCENT, LINE_SERIES__TRIGGERS, LINE_SERIES__VISIBLE, LINE_SERIES_FEATURE_COUNT, PIE_SERIES, PIE_SERIES__CLOCKWISE, PIE_SERIES__CURSOR, PIE_SERIES__CURVE_FITTING, PIE_SERIES__DATA_DEFINITION, PIE_SERIES__DATA_POINT, PIE_SERIES__DATA_SETS, PIE_SERIES__EXPLOSION, PIE_SERIES__EXPLOSION_EXPRESSION, PIE_SERIES__INNER_RADIUS, PIE_SERIES__INNER_RADIUS_PERCENT, PIE_SERIES__LABEL, PIE_SERIES__LABEL_POSITION, PIE_SERIES__LEADER_LINE_ATTRIBUTES, PIE_SERIES__LEADER_LINE_LENGTH, PIE_SERIES__LEADER_LINE_STYLE, PIE_SERIES__RATIO, PIE_SERIES__ROTATION, PIE_SERIES__SERIES_IDENTIFIER, PIE_SERIES__SLICE_OUTLINE, PIE_SERIES__STACKED, PIE_SERIES__TITLE, PIE_SERIES__TITLE_POSITION, PIE_SERIES__TRANSLUCENT, PIE_SERIES__TRIGGERS, PIE_SERIES__VISIBLE, PIE_SERIES_FEATURE_COUNT, SCATTER_SERIES, SCATTER_SERIES__CONNECT_MISSING_VALUE, SCATTER_SERIES__CURSOR, SCATTER_SERIES__CURVE, SCATTER_SERIES__CURVE_FITTING, SCATTER_SERIES__DATA_DEFINITION, SCATTER_SERIES__DATA_POINT, SCATTER_SERIES__DATA_SETS, SCATTER_SERIES__LABEL, SCATTER_SERIES__LABEL_POSITION, SCATTER_SERIES__LINE_ATTRIBUTES, SCATTER_SERIES__MARKER, SCATTER_SERIES__MARKERS, SCATTER_SERIES__PALETTE_LINE_COLOR, SCATTER_SERIES__SERIES_IDENTIFIER, SCATTER_SERIES__SHADOW_COLOR, SCATTER_SERIES__STACKED, SCATTER_SERIES__TRANSLUCENT, SCATTER_SERIES__TRIGGERS, SCATTER_SERIES__VISIBLE, SCATTER_SERIES_FEATURE_COUNT, STOCK_SERIES, STOCK_SERIES__CURSOR, STOCK_SERIES__CURVE_FITTING, STOCK_SERIES__DATA_DEFINITION, STOCK_SERIES__DATA_POINT, STOCK_SERIES__DATA_SETS, STOCK_SERIES__FILL, STOCK_SERIES__LABEL, STOCK_SERIES__LABEL_POSITION, STOCK_SERIES__LINE_ATTRIBUTES, STOCK_SERIES__SERIES_IDENTIFIER, STOCK_SERIES__SHOW_AS_BAR_STICK, STOCK_SERIES__STACKED, STOCK_SERIES__STICK_LENGTH, STOCK_SERIES__TRANSLUCENT, STOCK_SERIES__TRIGGERS, STOCK_SERIES__VISIBLE, STOCK_SERIES_FEATURE_COUNT`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass`
`getAreaSeries()`
`org.eclipse.emf.ecore.EClass`
`getBarSeries()`
`org.eclipse.emf.ecore.EAttribute`
`getBarSeries_Riser()`
`org.eclipse.emf.ecore.EReference`
`getBarSeries_RiserOutline()`
`org.eclipse.emf.ecore.EClass`
`getBubbleSeries()`
`org.eclipse.emf.ecore.EReference`
`getBubbleSeries_AccLineAttributes()`
`org.eclipse.emf.ecore.EAttribute`
`getBubbleSeries_AccOrientation()`
`org.eclipse.emf.ecore.EClass`
`getDialSeries()`
`org.eclipse.emf.ecore.EReference`
`getDialSeries_Dial()`
`org.eclipse.emf.ecore.EReference`
`getDialSeries_Needle()`
`org.eclipse.emf.ecore.EClass`
`getDifferenceSeries()`
`org.eclipse.emf.ecore.EReference`
`getDifferenceSeries_NegativeLineAttributes()`
`org.eclipse.emf.ecore.EReference`
`getDifferenceSeries_NegativeMarkers()`
`org.eclipse.emf.ecore.EClass`
`getGanttSeries()`
`org.eclipse.emf.ecore.EReference`
`getGanttSeries_ConnectionLine()`
`org.eclipse.emf.ecore.EReference`
`getGanttSeries_DecorationLabel()`
`org.eclipse.emf.ecore.EAttribute`
`getGanttSeries_DecorationLabelPosition()`
`org.eclipse.emf.ecore.EReference`
`getGanttSeries_EndMarker()`
`org.eclipse.emf.ecore.EAttribute`
`getGanttSeries_EndMarkerPosition()`
`org.eclipse.emf.ecore.EReference`
`getGanttSeries_Outline()`
`org.eclipse.emf.ecore.EReference`
`getGanttSeries_OutlineFill()`
`org.eclipse.emf.ecore.EAttribute`
`getGanttSeries_PaletteLineColor()`
`org.eclipse.emf.ecore.EReference`
`getGanttSeries_StartMarker()`
`org.eclipse.emf.ecore.EAttribute`
`getGanttSeries_StartMarkerPosition()`
`org.eclipse.emf.ecore.EAttribute`
`getGanttSeries_UseDecorationLabelValue()`
`org.eclipse.emf.ecore.EClass`
`getLineSeries()`
`org.eclipse.emf.ecore.EAttribute`
`getLineSeries_ConnectMissingValue()`
`org.eclipse.emf.ecore.EAttribute`
`getLineSeries_Curve()`
`org.eclipse.emf.ecore.EReference`
`getLineSeries_LineAttributes()`
`org.eclipse.emf.ecore.EReference`
`getLineSeries_Marker()`
`org.eclipse.emf.ecore.EReference`
`getLineSeries_Markers()`
`org.eclipse.emf.ecore.EAttribute`
`getLineSeries_PaletteLineColor()`
`org.eclipse.emf.ecore.EReference`
`getLineSeries_ShadowColor()`
`org.eclipse.emf.ecore.EClass`
`getPieSeries()`
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_Clockwise()`
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_Explosion()`
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_ExplosionExpression()`
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_InnerRadius()`
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_InnerRadiusPercent()`
`org.eclipse.emf.ecore.EReference`
`getPieSeries_LeaderLineAttributes()`
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_LeaderLineLength()`
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_LeaderLineStyle()`
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_Ratio()`
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_Rotation()`
`org.eclipse.emf.ecore.EReference`
`getPieSeries_SliceOutline()`
`org.eclipse.emf.ecore.EReference`
`getPieSeries_Title()`
`org.eclipse.emf.ecore.EAttribute`
`getPieSeries_TitlePosition()`
`org.eclipse.emf.ecore.EClass`
`getScatterSeries()`
`org.eclipse.emf.ecore.EClass`
`getStockSeries()`
`org.eclipse.emf.ecore.EReference`
`getStockSeries_Fill()`
`org.eclipse.emf.ecore.EReference`
`getStockSeries_LineAttributes()`
`org.eclipse.emf.ecore.EAttribute`
`getStockSeries_ShowAsBarStick()`
`org.eclipse.emf.ecore.EAttribute`
`getStockSeries_StickLength()`
`TypeFactory`
`getTypeFactory()`
`static TypePackage`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### init

public static TypePackage init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `TypePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `TypePackage.eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`

### getAreaSeries

public org.eclipse.emf.ecore.EClass getAreaSeries()

Specified by:
  `getAreaSeries` in interface `TypePackage`
Returns:
  the meta object for class 'Area Series'.
See Also:
  - `AreaSeries`

### getBarSeries

public org.eclipse.emf.ecore.EClass getBarSeries()

Specified by:
  `getBarSeries` in interface `TypePackage`
Returns:
  the meta object for class 'Bar Series'.
See Also:
  - `BarSeries`

### getBarSeries_Riser

public org.eclipse.emf.ecore.EAttribute getBarSeries_Riser()

Specified by:
  `getBarSeries_Riser` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Riser'.
See Also:
  - `BarSeries.getRiser()`
  - `TypePackage.getBarSeries()`

### getBarSeries_RiserOutline

public org.eclipse.emf.ecore.EReference getBarSeries_RiserOutline()

Specified by:
  `getBarSeries_RiserOutline` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Riser Outline'.
See Also:
  - `BarSeries.getRiserOutline()`
  - `TypePackage.getBarSeries()`

### getBubbleSeries

public org.eclipse.emf.ecore.EClass getBubbleSeries()

Specified by:
  `getBubbleSeries` in interface `TypePackage`
Returns:
  the meta object for class 'Bubble Series'.
See Also:
  - `BubbleSeries`

### getBubbleSeries_AccLineAttributes

public org.eclipse.emf.ecore.EReference getBubbleSeries_AccLineAttributes()

Specified by:
  `getBubbleSeries_AccLineAttributes` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Acc Line Attributes'.
See Also:
  - `BubbleSeries.getAccLineAttributes()`
  - `TypePackage.getBubbleSeries()`

### getBubbleSeries_AccOrientation

public org.eclipse.emf.ecore.EAttribute getBubbleSeries_AccOrientation()

Specified by:
  `getBubbleSeries_AccOrientation` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Acc Orientation'.
See Also:
  - `BubbleSeries.getAccOrientation()`
  - `TypePackage.getBubbleSeries()`

### getDialSeries

public org.eclipse.emf.ecore.EClass getDialSeries()

Specified by:
  `getDialSeries` in interface `TypePackage`
Returns:
  the meta object for class 'Dial Series'.
See Also:
  - `DialSeries`

### getDialSeries_Dial

public org.eclipse.emf.ecore.EReference getDialSeries_Dial()

Specified by:
  `getDialSeries_Dial` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Dial'.
See Also:
  - `DialSeries.getDial()`
  - `TypePackage.getDialSeries()`

### getDialSeries_Needle

public org.eclipse.emf.ecore.EReference getDialSeries_Needle()

Specified by:
  `getDialSeries_Needle` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Needle'.
See Also:
  - `DialSeries.getNeedle()`
  - `TypePackage.getDialSeries()`

### getDifferenceSeries

public org.eclipse.emf.ecore.EClass getDifferenceSeries()

Specified by:
  `getDifferenceSeries` in interface `TypePackage`
Returns:
  the meta object for class 'Difference Series'.
See Also:
  - `DifferenceSeries`

### getDifferenceSeries_NegativeMarkers

public org.eclipse.emf.ecore.EReference getDifferenceSeries_NegativeMarkers()

Specified by:
  `getDifferenceSeries_NegativeMarkers` in interface `TypePackage`
Returns:
  the meta object for the containment reference list 'Negative Markers'.
See Also:
  - `DifferenceSeries.getNegativeMarkers()`
  - `TypePackage.getDifferenceSeries()`

### getDifferenceSeries_NegativeLineAttributes

public org.eclipse.emf.ecore.EReference getDifferenceSeries_NegativeLineAttributes()

Specified by:
  `getDifferenceSeries_NegativeLineAttributes` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Negative Line Attributes'.
See Also:
  - `DifferenceSeries.getNegativeLineAttributes()`
  - `TypePackage.getDifferenceSeries()`

### getGanttSeries

public org.eclipse.emf.ecore.EClass getGanttSeries()

Specified by:
  `getGanttSeries` in interface `TypePackage`
Returns:
  the meta object for class 'Gantt Series'.
See Also:
  - `GanttSeries`

### getGanttSeries_StartMarker

public org.eclipse.emf.ecore.EReference getGanttSeries_StartMarker()

Specified by:
  `getGanttSeries_StartMarker` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Start Marker'.
See Also:
  - `GanttSeries.getStartMarker()`
  - `TypePackage.getGanttSeries()`

### getGanttSeries_StartMarkerPosition

public org.eclipse.emf.ecore.EAttribute getGanttSeries_StartMarkerPosition()

Specified by:
  `getGanttSeries_StartMarkerPosition` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Start Marker Position'.
See Also:
  - `GanttSeries.getStartMarkerPosition()`
  - `TypePackage.getGanttSeries()`

### getGanttSeries_EndMarker

public org.eclipse.emf.ecore.EReference getGanttSeries_EndMarker()

Specified by:
  `getGanttSeries_EndMarker` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'End Marker'.
See Also:
  - `GanttSeries.getEndMarker()`
  - `TypePackage.getGanttSeries()`

### getGanttSeries_EndMarkerPosition

public org.eclipse.emf.ecore.EAttribute getGanttSeries_EndMarkerPosition()

Specified by:
  `getGanttSeries_EndMarkerPosition` in interface `TypePackage`
Returns:
  the meta object for the attribute 'End Marker Position'.
See Also:
  - `GanttSeries.getEndMarkerPosition()`
  - `TypePackage.getGanttSeries()`

### getGanttSeries_ConnectionLine

public org.eclipse.emf.ecore.EReference getGanttSeries_ConnectionLine()

Specified by:
  `getGanttSeries_ConnectionLine` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Connection Line'.
See Also:
  - `GanttSeries.getConnectionLine()`
  - `TypePackage.getGanttSeries()`

### getGanttSeries_Outline

public org.eclipse.emf.ecore.EReference getGanttSeries_Outline()

Specified by:
  `getGanttSeries_Outline` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Outline'.
See Also:
  - `GanttSeries.getOutline()`
  - `TypePackage.getGanttSeries()`

### getGanttSeries_OutlineFill

public org.eclipse.emf.ecore.EReference getGanttSeries_OutlineFill()

Specified by:
  `getGanttSeries_OutlineFill` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Outline Fill'.
See Also:
  - `GanttSeries.getOutlineFill()`
  - `TypePackage.getGanttSeries()`

### getGanttSeries_UseDecorationLabelValue

public org.eclipse.emf.ecore.EAttribute getGanttSeries_UseDecorationLabelValue()

Specified by:
  `getGanttSeries_UseDecorationLabelValue` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Use Decoration Label Value'.
See Also:
  - `GanttSeries.isUseDecorationLabelValue()`
  - `TypePackage.getGanttSeries()`

### getGanttSeries_DecorationLabel

public org.eclipse.emf.ecore.EReference getGanttSeries_DecorationLabel()

Specified by:
  `getGanttSeries_DecorationLabel` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Decoration Label'.
See Also:
  - `GanttSeries.getDecorationLabel()`
  - `TypePackage.getGanttSeries()`

### getGanttSeries_DecorationLabelPosition

public org.eclipse.emf.ecore.EAttribute getGanttSeries_DecorationLabelPosition()

Specified by:
  `getGanttSeries_DecorationLabelPosition` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Decoration Label Position'.
See Also:
  - `GanttSeries.getDecorationLabelPosition()`
  - `TypePackage.getGanttSeries()`

### getGanttSeries_PaletteLineColor

public org.eclipse.emf.ecore.EAttribute getGanttSeries_PaletteLineColor()

Specified by:
  `getGanttSeries_PaletteLineColor` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Palette Line Color'.
See Also:
  - `GanttSeries.isPaletteLineColor()`
  - `TypePackage.getGanttSeries()`

### getLineSeries

public org.eclipse.emf.ecore.EClass getLineSeries()

Specified by:
  `getLineSeries` in interface `TypePackage`
Returns:
  the meta object for class 'Line Series'.
See Also:
  - `LineSeries`

### getLineSeries_Markers

public org.eclipse.emf.ecore.EReference getLineSeries_Markers()

Specified by:
  `getLineSeries_Markers` in interface `TypePackage`
Returns:
  the meta object for the containment reference list 'Markers'.
See Also:
  - `LineSeries.getMarkers()`
  - `TypePackage.getLineSeries()`

### getLineSeries_Marker

public org.eclipse.emf.ecore.EReference getLineSeries_Marker()

Specified by:
  `getLineSeries_Marker` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Marker'.
See Also:
  - `LineSeries.getMarker()`
  - `TypePackage.getLineSeries()`

### getLineSeries_LineAttributes

public org.eclipse.emf.ecore.EReference getLineSeries_LineAttributes()

Specified by:
  `getLineSeries_LineAttributes` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Line Attributes'.
See Also:
  - `LineSeries.getLineAttributes()`
  - `TypePackage.getLineSeries()`

### getLineSeries_PaletteLineColor

public org.eclipse.emf.ecore.EAttribute getLineSeries_PaletteLineColor()

Specified by:
  `getLineSeries_PaletteLineColor` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Palette Line Color'.
See Also:
  - `LineSeries.isPaletteLineColor()`
  - `TypePackage.getLineSeries()`

### getLineSeries_Curve

public org.eclipse.emf.ecore.EAttribute getLineSeries_Curve()

Specified by:
  `getLineSeries_Curve` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Curve'.
See Also:
  - `LineSeries.isCurve()`
  - `TypePackage.getLineSeries()`

### getLineSeries_ShadowColor

public org.eclipse.emf.ecore.EReference getLineSeries_ShadowColor()

Specified by:
  `getLineSeries_ShadowColor` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Shadow Color'.
See Also:
  - `LineSeries.getShadowColor()`
  - `TypePackage.getLineSeries()`

### getLineSeries_ConnectMissingValue

public org.eclipse.emf.ecore.EAttribute getLineSeries_ConnectMissingValue()

Specified by:
  `getLineSeries_ConnectMissingValue` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Connect Missing Value'.
See Also:
  - `LineSeries.isConnectMissingValue()`
  - `TypePackage.getLineSeries()`

### getPieSeries

public org.eclipse.emf.ecore.EClass getPieSeries()

Specified by:
  `getPieSeries` in interface `TypePackage`
Returns:
  the meta object for class 'Pie Series'.
See Also:
  - `PieSeries`

### getPieSeries_Explosion

public org.eclipse.emf.ecore.EAttribute getPieSeries_Explosion()

Specified by:
  `getPieSeries_Explosion` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Explosion'.
See Also:
  - `PieSeries.getExplosion()`
  - `TypePackage.getPieSeries()`

### getPieSeries_ExplosionExpression

public org.eclipse.emf.ecore.EAttribute getPieSeries_ExplosionExpression()

Specified by:
  `getPieSeries_ExplosionExpression` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Explosion Expression'.
See Also:
  - `PieSeries.getExplosionExpression()`
  - `TypePackage.getPieSeries()`

### getPieSeries_Title

public org.eclipse.emf.ecore.EReference getPieSeries_Title()

Specified by:
  `getPieSeries_Title` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Title'.
See Also:
  - `PieSeries.getTitle()`
  - `TypePackage.getPieSeries()`

### getPieSeries_TitlePosition

public org.eclipse.emf.ecore.EAttribute getPieSeries_TitlePosition()

Specified by:
  `getPieSeries_TitlePosition` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Title Position'.
See Also:
  - `PieSeries.getTitlePosition()`
  - `TypePackage.getPieSeries()`

### getPieSeries_LeaderLineAttributes

public org.eclipse.emf.ecore.EReference getPieSeries_LeaderLineAttributes()

Specified by:
  `getPieSeries_LeaderLineAttributes` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Leader Line Attributes'.
See Also:
  - `PieSeries.getLeaderLineAttributes()`
  - `TypePackage.getPieSeries()`

### getPieSeries_LeaderLineStyle

public org.eclipse.emf.ecore.EAttribute getPieSeries_LeaderLineStyle()

Specified by:
  `getPieSeries_LeaderLineStyle` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Leader Line Style'.
See Also:
  - `PieSeries.getLeaderLineStyle()`
  - `TypePackage.getPieSeries()`

### getPieSeries_LeaderLineLength

public org.eclipse.emf.ecore.EAttribute getPieSeries_LeaderLineLength()

Specified by:
  `getPieSeries_LeaderLineLength` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Leader Line Length'.
See Also:
  - `PieSeries.getLeaderLineLength()`
  - `TypePackage.getPieSeries()`

### getPieSeries_SliceOutline

public org.eclipse.emf.ecore.EReference getPieSeries_SliceOutline()

Specified by:
  `getPieSeries_SliceOutline` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Slice Outline'.
See Also:
  - `PieSeries.getSliceOutline()`
  - `TypePackage.getPieSeries()`

### getPieSeries_Ratio

public org.eclipse.emf.ecore.EAttribute getPieSeries_Ratio()

Specified by:
  `getPieSeries_Ratio` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Ratio'.
See Also:
  - `PieSeries.getRatio()`
  - `TypePackage.getPieSeries()`

### getPieSeries_Rotation

public org.eclipse.emf.ecore.EAttribute getPieSeries_Rotation()

Specified by:
  `getPieSeries_Rotation` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Rotation'.
See Also:
  - `PieSeries.getRotation()`
  - `TypePackage.getPieSeries()`

### getPieSeries_Clockwise

public org.eclipse.emf.ecore.EAttribute getPieSeries_Clockwise()

Specified by:
  `getPieSeries_Clockwise` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Clockwise'.
See Also:
  - `PieSeries.isClockwise()`
  - `TypePackage.getPieSeries()`

### getPieSeries_InnerRadius

public org.eclipse.emf.ecore.EAttribute getPieSeries_InnerRadius()

Specified by:
  `getPieSeries_InnerRadius` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Inner Radius'.
See Also:
  - `PieSeries.getInnerRadius()`
  - `TypePackage.getPieSeries()`

### getPieSeries_InnerRadiusPercent

public org.eclipse.emf.ecore.EAttribute getPieSeries_InnerRadiusPercent()

Specified by:
  `getPieSeries_InnerRadiusPercent` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Inner Radius Percent'.
See Also:
  - `PieSeries.isInnerRadiusPercent()`
  - `TypePackage.getPieSeries()`

### getScatterSeries

public org.eclipse.emf.ecore.EClass getScatterSeries()

Specified by:
  `getScatterSeries` in interface `TypePackage`
Returns:
  the meta object for class 'Scatter Series'.
See Also:
  - `ScatterSeries`

### getStockSeries

public org.eclipse.emf.ecore.EClass getStockSeries()

Specified by:
  `getStockSeries` in interface `TypePackage`
Returns:
  the meta object for class 'Stock Series'.
See Also:
  - `StockSeries`

### getStockSeries_Fill

public org.eclipse.emf.ecore.EReference getStockSeries_Fill()

Specified by:
  `getStockSeries_Fill` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Fill'.
See Also:
  - `StockSeries.getFill()`
  - `TypePackage.getStockSeries()`

### getStockSeries_LineAttributes

public org.eclipse.emf.ecore.EReference getStockSeries_LineAttributes()

Specified by:
  `getStockSeries_LineAttributes` in interface `TypePackage`
Returns:
  the meta object for the containment reference 'Line Attributes'.
See Also:
  - `StockSeries.getLineAttributes()`
  - `TypePackage.getStockSeries()`

### getStockSeries_ShowAsBarStick

public org.eclipse.emf.ecore.EAttribute getStockSeries_ShowAsBarStick()

Specified by:
  `getStockSeries_ShowAsBarStick` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Show As Bar Stick'.
See Also:
  - `StockSeries.isShowAsBarStick()`
  - `TypePackage.getStockSeries()`

### getStockSeries_StickLength

public org.eclipse.emf.ecore.EAttribute getStockSeries_StickLength()

Specified by:
  `getStockSeries_StickLength` in interface `TypePackage`
Returns:
  the meta object for the attribute 'Stick Length'.
See Also:
  - `StockSeries.getStickLength()`
  - `TypePackage.getStockSeries()`

### getTypeFactory

public TypeFactory getTypeFactory()

Specified by:
  `getTypeFactory` in interface `TypePackage`
Returns:
  the factory that creates the instances of the model.

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.